Obtenir un groupe d'actifs matériels Seedance
curl --request GET \
--url https://api.tokenlab.sh/v1/videos/assets/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "Prises de vue de produits réutilisables",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "API key not found",
"type": "invalid_request_error"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}Vidéo & ressources
Obtenir un groupe d'actifs matériels
Récupère un groupe de matériel Seedance par ID de groupe TokenLab.
GET
/
v1
/
videos
/
assets
/
groups
/
{groupId}
Obtenir un groupe d'actifs matériels Seedance
Récupérez un groupe de matériel. Le paramètre
library_type vous indique si le groupe est un groupe d’avatars virtuels ou un groupe de personnes réelles.
Utilisez cet endpoint avant le téléchargement si vous devez confirmer que le groupe existe toujours et possède le statut status: "ACTIVE".
project_name isole les ressources au sein de l’organisation authentifiée. Sa valeur par défaut est default ; utilisez la même valeur, sensible à la casse, pour les groupes et ressources associés. Envoyez-la dans le corps JSON pour POST/PUT et dans les paramètres de requête pour GET/DELETE.
Exemple de requête
curl "https://api.tokenlab.sh/v1/videos/assets/groups/group-20260720123456-vrt01?project_name=default" \
-H "Authorization: Bearer $TOKENLAB_API_KEY"
Exemple de réponse
{
"id": "group-20260720123456-vrt01",
"object": "seedance.material_asset_group",
"project_name": "default",
"library_type": "aigc_avatar",
"group_name": "Product references",
"description": "Reusable product shots",
"status": "ACTIVE",
"metadata": null,
"created_at": 1782998400000
}
Autorisations
Authentification par clé API. Créez ou gérez vos clés API dans Dashboard > API > API Keys.
Paramètres de chemin
Paramètres de requête
Portée du projet pour la ressource matérielle.
Required string length:
1 - 128Réponse
Groupe d'actifs matériels
ID du groupe de matériel TokenLab. Utilisez-le comme group_id lors du téléchargement de matériel.
Options disponibles:
seedance.material_asset_group Options disponibles:
aigc_avatar, liveness_face Portée du projet pour ce groupe de matériel.